math::TMatchRegistry< T > Class Template Reference

## Public Member Functions

| TMatchRegistry (const TMatchRegistry< T > &)
void | define (const std::string &AId, const TNode< T > *ANode)
| defines given expression node as given id.
bool | defined (const std::string &AId) const
| checks whether given id is defined or not.
const TNode< T > * | get (const std::string &AId) const
| returns expression node to given id.
void | mark (const TNode< T > *ANode)
| marks given node as used
bool | contains (const TNode< T > *ANode) const
| returns true when ANode is either marked as used or is defined as any

## Detailed Description

### template<class T>
class math::TMatchRegistry< T >

Definition at line 34 of file matcher.h.

The documentation for this class was generated from the following file:

- matcher.h